Package com.orchestranetworks.workflow

# Interface ActionPermissionsOnWorkflowContext

All Superinterfaces:
  `DataContextReadOnly`, `ProcessExecutionInfoContext`

public interface ActionPermissionsOnWorkflowContext extends DataContextReadOnly, ProcessExecutionInfoContext
This interface is used as the context for `ActionPermissionsOnWorkflow` execution.

Depending on the current action whose permission is being checked, the process instance can be undefined, either permanently or only sometimes. For more information, see the possible actions of `ProcessExecutionContext.WorkflowPermission`.

See Also:
  - `ActionPermissionsOnWorkflow`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProcessInstanceDescription(Locale aLocale)`
  Deprecated.
  Use `ProcessExecutionInfoContext.getProcessInstance()` instead.
  `String`
  `getProcessInstanceLabel(Locale aLocale)`
  Deprecated.
  Use `ProcessExecutionInfoContext.getProcessInstance()` instead.
  `Session`
  `getSession()`
  The session associated with the current user.
  `boolean`
  `isOnProcessInstance()`
  If the permission's resolution context is for a process instance, returns `true`, else returns `false`.

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContextReadOnly

  `getVariableNames, getVariableString, isVariableDefined`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository`

- ## Method Details

  - ### getSession

    Session getSession()
    The session associated with the current user.
    Specified by:
      `getSession` in interface `ProcessExecutionInfoContext`

  - ### isOnProcessInstance

    boolean isOnProcessInstance()
    If the permission's resolution context is for a process instance, returns `true`, else returns `false`.

    To determine when the process instance is defined, see the `ProcessExecutionContext.WorkflowPermission` possible actions.

  - ### getProcessInstanceLabel

    @Deprecated String getProcessInstanceLabel(Locale aLocale)
    Deprecated.
    Use `ProcessExecutionInfoContext.getProcessInstance()` instead.
    Returns the current process instance label. Returns `null` if `process instance is undefined`, or has no label.
    See Also:
      - `ProcessLauncher.setLabel(com.onwbp.base.text.UserMessage)`

  - ### getProcessInstanceDescription

    @Deprecated String getProcessInstanceDescription(Locale aLocale)
    Deprecated.
    Use `ProcessExecutionInfoContext.getProcessInstance()` instead.
    Returns the current process instance description. Returns `null` if `process instance is undefined`, or has no description.
    See Also:
      - `ProcessLauncher.setDescription(com.onwbp.base.text.UserMessage)`